Subject: Re: linux-next: manual merge of the ttydev tree with the usb.current tree

From: Alan Cox <[email-masked]>
Date: Tue, 28 Jul 2009 14:17:40 +0100

On Tue, 28 Jul 2009 22:35:04 +1000
Stephen Rothwell <[email-masked]> wrote:

> Hi Alan,
> 
> On Tue, 28 Jul 2009 13:29:11 +0100 Alan Cox <[email-masked]> wrote:
> >
> > I need to look at the actual diff, but the combination looks completely
> > bogus unless I'm misreading the fixup which is possible.
> 
> Below is the actual patch from the usb.current tree.

Thanks - ok that is probably safe. The change I was worried about (the
error paths not adjusting port->count are ok as it gets zeroed within the
mutex)

Not sure its safe versus hangup but neither was the old code 8)

Oliver: I'll send you an alternative patch later today/tomorrow that uses
the ASYNC flags.

Alan